sTrendy Documentation

Overview

The programming code of this mobile app theme is written with React Native Framework. React Native is a famous JavaScript framework released by the Facebook. It enables developing cross-platform native apps for IOS and Android. A good example of some apps built with react native is both Facebook and Instagram apps.

Before Purchasing

You are open to make any changes you need to the code. However, you will require basic knowledge on a number of tools and frame works.

  • ATOM or Visual Studio code editors.
  • Android Studio.
  • Xcode.
  • NodeJs.
  • JavaScript
  • React Native CLI

You must also know how to install React Native and its dependencies on your machine. We recommend to use the React Native official official installation guide ‘https://facebook.github.io/reactnative/’

Any refunding requests should be in line with applicable refunding policy in the reactnative-themes.com

Note: We strongly recommend MAC OS to build this app, because only with MAC OS you can run the app for both Android and IOS.

Why to Buy?

You are open to make any changes you need to the code. However, you will require basic knowledge on a number of tools and frame works.

  • AFFORDABLE PRICING: Launch your app launch online.
  • WORTH: Save more than $ 4,000 to build a react native mobile app.
  • UPDATES: Receive code updates and improvements for free.

Installation

1. Download files from CodeCanyon website download section.
2. Extract the zip file to your computer
3. Open the product folder in Terminal
4. Install npm
   npm install
5. Install React Native Assset Global
    npm install -g react-native-asset
6. Run React Native Asset
    react-native-asset
7. Run the following ADB commands and confirm your device or emulator connected with your computer

To run in ANDROID

1. Run the following commands to run Android

To run in IOS

1. Open .xcodeproj file in IOS folder

2. Select your Simulator and Click Play button to run the app.

Dependencies

"native-base": "2.13.8",
"react": "16.9.0",
"react-native": "0.61.4",
"react-native-flexi-radio-button": "0.2.2",
"react-native-gesture-handler": "1.4.0",
"react-native-modalbox": "2.0.0",
"react-native-reanimated": "1.4.0",
"react-native-screens": "2.0.0-alpha.11",
"react-navigation": "4.0.10",
"react-navigation-drawer": "2.3.3",
"react-navigation-stack": "1.10.3"